//LIBRARIES
#include <plib.h>
#include "NU32.h"

//GLOBAL CONSTANTS


//GLOBAL VARIABLES


//FUNCTION PROTOTYPES


//MAIN
int main(void)
{
    startup();
    initialize();

    int j = 0;

    sprintf(RS232_Out_Buffer,"Hello World!\r\n");
    WriteString(UART1, RS232_Out_Buffer);

    while(1)
    {
        sprintf(RS232_Out_Buffer,"Hello?\n");
        WriteString(UART1, RS232_Out_Buffer);
        L1 = !L1; // toggle the LEDs
        L2 = !L2;
        // wait a little bit
        for (j=0;j<5000000;j++) {
            Nop();
        }
    }
    return 0;
}

//FUNCTIONS


//ISRs
void __ISR(_UART_1_VECTOR, ipl2) IntUart1Handler(void)
{
    // Is this an RX interrupt?
    if(INTGetFlag(INT_SOURCE_UART_RX(UART1)))
    {

        char data = UARTGetDataByte(UART1);
        PutCharacter(UART1,data);
        L1 = !L1;
        L2 = !L2;

        // Clear the RX interrupt Flag
        INTClearFlag(INT_SOURCE_UART_RX(UART1));
    }

    // We don't care about TX interrupt
    if(INTGetFlag(INT_SOURCE_UART_TX(UART1)))
    {
        INTClearFlag(INT_SOURCE_UART_TX(UART1));
    }
}

